%define major   2.86
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define uname   bullet3

Name:           bullet
Version:        2.86.1
Release:        %mkrel 2
Summary:        Professional 3D collision detection library
Group:          System/Libraries
License:        zlib
URL:            http://www.bulletphysics.com
Source0:        https://github.com/bulletphysics/bullet3/archive/%{version}/%{uname}-%{version}.tar.gz
# Still no proper fix to https://github.com/bulletphysics/bullet3/issues/626
Patch0:         bullet-suse-Fix-bullet.pc.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libxml-2.0)

%description
Bullet is a professional open source multi-threaded
3D Collision Detection and Rigid Body Dynamics Library
for games and animation.

%package -n %{libname}
Summary:        Professional 3D collision detection library
Group:          System/Libraries
Obsoletes:      %{_lib}bullet2 < 2.82-5
Provides:       %{_lib}bullet2 = %{version}-%{release}

%description -n %{libname}
Bullet is a professional open source multi-threaded
3D Collision Detection and Rigid Body Dynamics Library
for games and animation.

%package -n %{develname}
Summary:        Development headers for the Bullet library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development headers for Bullet 3D collision library.

%prep
%autosetup -p1 -n %{uname}-%{version}

%build
%cmake \
    -DBUILD_BULLET2_DEMOS=OFF \
    -DBUILD_CPU_DEMOS=OFF \
    -DBUILD_EXTRAS=ON \
    -DBUILD_OPENGL3_DEMOS=OFF \
    -DBUILD_UNIT_TESTS=OFF \
    -DINSTALL_EXTRA_LIBS=ON \
    -DINCLUDE_INSTALL_DIR=%{_includedir}/%{name}
%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/lib*.so.%{major}

%files -n %{develname}
%doc AUTHORS.txt README.md VERSION
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Mar 12 2017 neoclust <neoclust> 2.86.1-2.mga6
+ Revision: 1092121
- Rebuild for armv7

* Fri Feb 24 2017 akien <akien> 2.86.1-1.mga6
+ Revision: 1087663
- Version 2.86.1

* Fri Jan 27 2017 akien <akien> 2.86-1.mga6
+ Revision: 1083635
- Version 2.86

* Thu Oct 27 2016 akien <akien> 2.85.1-2.mga6
+ Revision: 1063729
- Add SuSE patch to fix pkgconfig include path

* Wed Oct 26 2016 akien <akien> 2.85.1-1.mga6
+ Revision: 1063692
- Version 2.85.1

* Sat Feb 13 2016 umeabot <umeabot> 2.82-6.mga6
+ Revision: 959642
- Mageia 6 Mass Rebuild

* Sat Jan 09 2016 akien <akien> 2.82-5.mga6
+ Revision: 920756
- Fix missing includes for installed Extras libs
- Drop demos, bullet developers will usually build from source
- Fix libname, soname has 2.82 and not just 2 (and thus drop .so.2 custom symlinks)

* Wed Oct 15 2014 umeabot <umeabot> 2.82-4.mga5
+ Revision: 744243
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.82-3.mga5
+ Revision: 693528
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.82-2.mga5
+ Revision: 678247
- Mageia 5 Mass Rebuild

* Tue Feb 11 2014 dams <dams> 2.82-1.mga5
+ Revision: 589420
- new version 2.82

* Fri Oct 18 2013 umeabot <umeabot> 2.81-3.mga4
+ Revision: 503168
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.81-2.mga3
+ Revision: 347223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Nov 12 2012 dams <dams> 2.81-1.mga3
+ Revision: 317197
- fix %%group
- new version 2.81

* Mon May 28 2012 dams <dams> 2.80-1.mga3
+ Revision: 248658
- new version 2.80

* Tue Nov 29 2011 dams <dams> 2.79-2.mga2
+ Revision: 174175
- fix 'libOpenGLSupport.so' dependencie

* Tue Nov 29 2011 dams <dams> 2.79-1.mga2
+ Revision: 174095
- new version 2.79
- fix dependencies (Extras/*.so*)

* Fri Aug 26 2011 shadow95 <shadow95> 2.78-1.mga2
+ Revision: 135609
- import bullet-2.78
- change mesa-common-devel BR GL-devel
- add BR freeglut-devel
- clean spec
- imported package bullet

